package com.gic.haoban.manage.web.vo;

import java.io.Serializable;

public class StaffExportVO implements Serializable{
	
	private static final long serialVersionUID = 1L;

	private String staffId;
	
	private String staffName;
	
	private String phoneNumber;

	private String nationCode;

	private String position;

	private String departmentName;

	private String activeFlag;

	private String clerkName;

	/**
	 * 关联状态 1 已关联 0 未关联
	 * 关联状态为 员工是否关联某门店导购
	 */
	private String relationFlag;
	/**
	 * gic品牌名称
	 */
	private String enterpriseName;
	/**
	 * 微信用户id
	 */
	private String wxUserId;
	/**
	 * 微信用户加密id
	 */
	private String wxOpenUseId;
	/**
	 * 许可激活时间
	 */
	private String activeTime;
	/**
	 * 许可过期时间
	 */
	private String expireTime;
	/**
	 * 许可状态  0 未激活，1 正常有效，2 即将过期，3 已过期
	 */
	private Integer permitState;
	/**
	 * 许可状态  0 未激活，1 正常有效，2 即将过期，3 已过期
	 */
	private String status;

	public Integer getPermitState() {
		return permitState;
	}

	public void setPermitState(Integer permitState) {
		this.permitState = permitState;
	}

	public String getStatus() {
		if (this.permitState == 0){
			status = "未激活";
		}else if (this.permitState == 1){
			status = "正常有效";
		}else if (this.permitState == 2){
			status = "即将过期";
		}else if (this.permitState == 3){
			status = "已过期";
		}
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getWxUserId() {
		return wxUserId;
	}

	public void setWxUserId(String wxUserId) {
		this.wxUserId = wxUserId;
	}

	public String getWxOpenUseId() {
		return wxOpenUseId;
	}

	public void setWxOpenUseId(String wxOpenUseId) {
		this.wxOpenUseId = wxOpenUseId;
	}

	public String getActiveTime() {
		return activeTime;
	}

	public void setActiveTime(String activeTime) {
		this.activeTime = activeTime;
	}

	public String getExpireTime() {
		return expireTime;
	}

	public void setExpireTime(String expireTime) {
		this.expireTime = expireTime;
	}

	public String getEnterpriseName() {
		return enterpriseName;
	}

	public void setEnterpriseName(String enterpriseName) {
		this.enterpriseName = enterpriseName;
	}

	public String getActiveFlag() {
		return activeFlag;
	}

	public void setActiveFlag(String activeFlag) {
		this.activeFlag = activeFlag;
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public String getNationCode() {
		return nationCode;
	}

	public void setNationCode(String nationCode) {
		this.nationCode = nationCode;
	}


	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getClerkName() {
		return clerkName;
	}

	public void setClerkName(String clerkName) {
		this.clerkName = clerkName;
	}

	public String getRelationFlag() {
		return relationFlag;
	}

	public void setRelationFlag(String relationFlag) {
		this.relationFlag = relationFlag;
	}
}
